.calendar-container,
.denyDate-container {
  display: flex;
  gap: 16px;
  flex-wrap: wrap;
  margin: 16px 0;
}

:is(.grouped-calendar-card, .denyDate-card) {
  width: 286px;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  border-radius: 4px;
  border-left: 5px solid var(--border-color, var(--color-n300));
  background-color: var(--color-n0);
  box-shadow: 0px 0px 2px rgb(0 0 0 / 15%);
  padding: 8px 0 0;
  font-size: 12px;
  color: var(--color-n700);
  cursor: pointer;
  position: relative;
}

:is(.grouped-calendar-card) {
	width: 300px;
}

:is(.grouped-calendar-card, .denyDate-card).selected {
  background-color: var(--color-b50);
  outline: 1px solid var(--color-b400);
}

:is(.grouped-calendar-card, .denyDate-card)>div {
  padding: 0 8px;
  margin-bottom: 8px;
}

:is(.grouped-calendar-card) .card-row-grid {
	display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 4px;
}

:is(.grouped-calendar-card) .card-bottom {
	display: flex;
    justify-content: space-between;
    align-items: center;
    column-gap: 4px;
}

:is(.denyDate-card) .card-row.dates .icon-time-auto {
  margin-left: 8px;
}

:is(.denyDate-card) .card-row.plan-group .icon-plan {
  margin-left: 8px;
}

:is(.denyDate-card) .card-row.time .icon-clock {
  margin-left: 8px;
}

:is(.grouped-calendar-card) .card-row.premium .option.normal {
    color: var(--color-n700);
    text-decoration: none;
}

:is(.grouped-calendar-card, .denyDate-card) .card-row.reason {
  margin-bottom: 4px;
}

:is(.grouped-calendar-card, .denyDate-card) .card-row.reason,
:is(.grouped-calendar-card, .denyDate-card) .card-row.comment {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

:is(.grouped-calendar-card, .denyDate-card) .header {
  /*overrides areas-configuracion.css*/
  height: auto !important;
  padding: 0 8px !important;
  background-color: transparent !important;
  /**/
}

:is(.grouped-calendar-card, .denyDate-card) .header .left {
  display: flex;
  gap: 4px;
  margin-left: auto;
}

:is(.grouped-calendar-card, .denyDate-card) .ribbon {
  width: 26px;
  height: 32px;
  position: absolute;
  top: 0;
  right: 16px;
  background: var(--color-n600);
  border-radius: 0 0 4px 4px;
}

:is(.grouped-calendar-card, .denyDate-card) .ribbon::after {
  content: '';
  width: 26px;
  height: 32px;
  display: block;
  filter: var(--filter-n0);
  background-repeat: no-repeat;
  background-position: top 10px center;
  background-size: 18px;
  z-index: 99999;
  position: relative;
}

:is(.grouped-calendar-card, .denyDate-card) .ribbon.area::after {
  background-image: url(/bukeala-static/images/icons/panelita/badge_black.svg);
}

:is(.grouped-calendar-card, .denyDate-card) .ribbon.component::after {
  background-image: url(/bukeala-static/images/icons/panelita/specialty.svg);
}

:is(.grouped-calendar-card, .denyDate-card) .private .icon-container {
  filter: var(--filter-n600);
}

.grouped-calendar-card .calendar-status,
.denyDate-card .denyDate-type {
  margin-right: 8px;
  border-radius: 4px;
  padding: 4px 8px;
  background: var(--bg-color, var(--color-n300));
  color: var(--text-color, var(--color-n700));
  font-weight: 600;
}

.grouped-calendar-card.active,
.denyDate-card.complete {
  --border-color: var(--color-b400);
}

.grouped-calendar-card.future,
.denyDate-card.partial {
  --border-color: var(--color-g400);
}

.grouped-calendar-card.paid {
  --border-color: var(--color-r100);
}

.grouped-calendar-card.past {
  --border-color: var(--color-y400);
}

.grouped-calendar-card.active .calendar-status,
.denyDate-card.complete .denyDate-type {
  --bg-color: var(--color-b200);
  --text-color: var(--color-b500);
}

.grouped-calendar-card.future .calendar-status,
.denyDate-card.partial .denyDate-type {
  --bg-color: var(--color-g200);
  --text-color: var(--color-g500);
}

.grouped-calendar-card.paid .calendar-status {
  --bg-color: var(--color-r100);
  --text-color: var(--color-r600);
}

.grouped-calendar-card.past .calendar-status {
  --bg-color: var(--color-y50);
  --text-color: var(--color-y500);
}

.grouped-calendar-card .calendar-number {
  border-radius: 10px;
  padding: 0 6px;
  background-color: var(--color-b400);
  color: white;
  font-weight: 700;
}

.grouped-calendar-card .icon-container.active {
  filter: var(--filter-b400);
}

:is(.grouped-calendar-card, .denyDate-card) .icon-container {
  margin-right: 4px;
}

.grouped-calendar-card .icon-contaner.icon-holidays.holidays-mixed,
.grouped-calendar-card .icon-contaner.icon-holidays.holidays-only {
  width: 22px;
  height: 22px;
  border-radius: 50%;
  background-color: var(--color-b400);
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  margin-right: 16px;
}

.grouped-calendar-card .icon-contaner.icon-holidays.holidays-mixed::after,
.grouped-calendar-card .icon-contaner.icon-holidays.holidays-only::after {
  position: absolute;
  inset: 0;
  color: var(--color-n0);
  display: grid;
  place-items: center;
}

.grouped-calendar-card .icon-contaner.icon-holidays.holidays-only::after {
  content: 'E';
}

.grouped-calendar-card .icon-contaner.icon-holidays.holidays-mixed::after {
  content: 'F';
}

:is(.grouped-calendar-card, .denyDate-card) .weekdays .day-initial:not(.active) {
  color: var(--color-n400);
}

:is(.grouped-calendar-card, .denyDate-card) .day-initial.active,
:is(.grouped-calendar-card, .denyDate-card) .option.active {
  color: var(--color-b400);
}

:is(.grouped-calendar-card, .denyDate-card) .weekdays .day-initial+.day-initial {
	margin-left: 8px;
}

:is(.grouped-calendar-card, .denyDate-card) .options .option+.option {
  margin-left: 4px;
}

.grouped-calendar-card .options,
.denyDate-card .options {
  margin-bottom: 0;
  border-top: 1px solid var(--color-n300);
  padding: 4px 8px;
}

.grouped-calendar-card .option:not(.active) {
  color: var(--color-n400);
  text-decoration: line-through;

}

.denyDate-card .card-body {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  gap: 8px 0;
}

